openSUSE 15 Security Update : mbedtls (openSUSE-SU-2021:1344-1)

medium Nessus Plugin ID 154012
New! Plugin Severity Now Using CVSS v3

The calculated severity for Plugins has been updated to use CVSS v3 by default. Plugins that do not have a CVSS v3 score will fall back to CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Synopsis

The remote SUSE host is missing a security update.

Description

The remote SUSE Linux SUSE15 host has packages installed that are affected by a vulnerability as referenced in the openSUSE-SU-2021:1344-1 advisory.

- In Trusted Firmware Mbed TLS 2.24.0, a side-channel vulnerability in base64 PEM file decoding allows system-level (administrator) attackers to obtain information about secret RSA keys via a controlled- channel and side-channel attack on software running in isolated environments that can be single stepped, especially Intel SGX. (CVE-2021-24119)

Note that Nessus has not tested for this issue but has instead relied only on the application's self-reported version number.

Solution

Update the affected packages.

See Also

https://bugzilla.suse.com/1189589

http://www.nessus.org/u?e8a1d158

https://www.suse.com/security/cve/CVE-2021-24119

Plugin Details

Severity: Medium

ID: 154012

File Name: openSUSE-2021-1344.nasl

Version: 1.2

Type: local

Agent: unix

Published: 10/12/2021

Updated: 10/12/2021

Dependencies: ssh_get_info.nasl

Risk Information

CVSS Score Source: CVE-2021-24119

VPR

Risk Factor: Medium

Score: 4.4

CVSS v2

Risk Factor: Medium

Base Score: 4

Temporal Score: 3

Vector: AV:N/AC:L/Au:S/C:P/I:N/A:N

Temporal Vector: E:U/RL:OF/RC:C

CVSS v3

Risk Factor: Medium

Base Score: 4.9

Temporal Score: 4.3

Vector: CVSS:3.0/AV:N/AC:L/PR:H/UI:N/S:U/C:H/I:N/A:N

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:libmbedcrypto3, p-cpe:/a:novell:opensuse:libmbedcrypto3-32bit, p-cpe:/a:novell:opensuse:libmbedtls12, p-cpe:/a:novell:opensuse:libmbedtls12-32bit, p-cpe:/a:novell:opensuse:libmbedx509-0, p-cpe:/a:novell:opensuse:libmbedx509-0-32bit, p-cpe:/a:novell:opensuse:mbedtls-devel, cpe:/o:novell:opensuse:15.2

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Exploit Ease: No known exploits are available

Patch Publication Date: 10/11/2021

Vulnerability Publication Date: 7/14/2021

Reference Information

CVE: CVE-2021-24119